====================
Events and Internals
====================

The SQLAlchemy ORM as well as Core are extended generally through the use
of event hooks.  Be sure to review the use of the event system in general
at :ref:`event_toplevel`.


.. toctree::
    :maxdepth: 2

    events
    internals
    exceptions

